DROP TABLE()

NAME
DROP TABLE - remove a table

SYNOPSIS

DROP TABLE name [, ...] [ CASCADE | RESTRICT ]

DESCRIPTION

DROP TABLE removes tables from the database. Only its owner may destroy a table. To empty a table of rows, without destroying the table, use DELETE.

DROP TABLE always removes any indexes, rules, triggers, and constraints that exist for the target table. However, to drop a table that is referenced by a foreign-key constraint of another table, CASCADE must be specified. (CASCADE will remove the foreign-key constraint, not the other table entirely.)

PARAMETERS

name
    The name (optionally schema-qualified) of the table to drop.

CASCADE
    Automatically drop objects that depend on the table (such as views).

RESTRICT
    Refuse to drop the table if any objects depend on it. This is the default.

EXAMPLES

To destroy two tables, films and distributors:

DROP TABLE films, distributors;

COMPATIBILITY

This command conforms to the SQL standard.

SEE ALSO
ALTER TABLE [alter_table(7)], CREATE TABLE [create_table(l)]